<app-spinner *ngIf="isLoading"></app-spinner>

<div class="seasons_container">
  <div class="season" *ngFor="let season of showSeasons">
    <img
      class="season_img"
      [src]="season.image ? season.image.medium : 'assets/images/no-img.png'"
      [alt]="season.name + 'image'"
      [title]="season.name"
    />
    <div class="season_description">
      <h1 class="season_title">Season {{ season.number }}</h1>
      <div class="season_subHeader">
        <a
          [href]="season?.network?.officialSite"
          rel="noopener"
          target="_blank"
          title="Go to official site"
          >{{ season?.network?.name }}</a
        >
        <span>{{ season.premiereDate | year }}</span>
      </div>
      <div class="season_summary">
        <p [innerHTML]="season?.summary"></p>
      </div>
    </div>
  </div>
</div>
